DIFF(1)

NUME
diff - compară fișierele linie cu linie

REZUMAT
diff [OPȚIUNE]... FIȘIERELE

DESCRIERE
Compară FIȘIERELE linie cu linie.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--normal
    afișează un diff normal (modul implicit)

-q, --brief
    raportează doar dacă fișierele diferă

-s, --report-identical-files
    raportează când două fișiere sunt identice

-c, -C NUM, --context[=NUM]
    afișează NUM (implicit 3) linii de context copiat

-u, -U NUM, --unified[=NUM]
    afișează NUM (implicit 3) linii de context unificat

-e, --ed
    afișează un script ed

-n, --rcs
    afișează un diff în format RCS

-y, --side-by-side
    afișează pe două coloane

-W, --width=NUM
    afișează cel mult NUM (implicit 130) coloane imprimate

--left-column
    afișează doar coloana din stânga a liniilor comune

--suppress-common-lines
    nu afișează liniile comune

-p, --show-c-function
    afișează în ce funcție C se află fiecare modificare

-F, --show-function-line=ExpReg
    afișează linia cea mai recentă ce se potrivește cu ExpReg

--label ETICHETA
    utilizează ETICHETA în loc de numele fișierului și la marca de timp (se poate repeta)

-t, --expand-tabs
    expandează tabulatorii la spatii la ieșire

-T, --initial-tab
    face ca tabulatorii să se alinieze, adăugând în față un tabulator

--tabsize=NUM
    tabulatorul se oprește la fiecare NUM (implicit 8) coloane de imprimare

--suppress-blank-empty
    suprimă spațiul sau tabulația înaintea liniilor goale de ieșire

-l, --paginate
    trece ieșirea prin „pr” pentru a o pagina

-r, --recursive
    compară recursiv orice subdirector întâlnit

--no-dereference
    nu urmează legăturile simbolice

-N, --new-file
    tratează fișierele lipsă ca goale

--unidirectional-new-file
    tratează primele fișierele lipsă ca goale

--ignore-file-name-case
    ignoră diferențele dintre majuscule și minuscule când se compară numele de fișiere

--no-ignore-file-name-case
    ia în calcul diferențele dintre majuscule și minuscule când se compară numele de fișiere

-x, --exclude=MODEL
    exclude fișierele care se potrivesc MODELului

-X, --exclude-from=FIȘIER
    exclude fișierele care se potrivesc oricărui model din FIȘIER

-S, --starting-file=FIȘIER
    începe cu FIȘIER când se compară directoare

--from-file=FIȘIER1
    compară FIȘIER1 cu toți operanzii; FIȘIER1 poate să fie un director

--to-file=FIȘIER2
    compară toți operanzii cu FIȘIER2; FIȘIER2 poate să fie un director

-i, --ignore-case
    ignoră diferențele dintre majuscule și minuscule din conținutul fișierului

-E, --ignore-tab-expansion
    ignoră modificările din cauza expandării tabulatorului

-Z, --ignore-trailing-space
    ignoră spațiul în alb la sfârșit de linie

-b, --ignore-space-change
    ignoră schimbările din cantitatea de spațiu în alb

-w, --ignore-all-space
    ignoră toate spațiile în alb

-B, --ignore-blank-lines
    ignoră schimbările unde toate liniile sunt goale

-I, --ignore-matching-lines=ExpReg
    ignoră modificările din toate liniile care se potrivesc cu ExpReg

-a, --text
    tratează toate fișierele ca fiind de text

--strip-trailing-cr
    elimină returul de caret din intrarea dată

-D, --ifdef=NUME
    generează un fișier combinat ce afișează diferențele cu „#ifdef NAME”

--GTYPE-group-format=GFMT
    formatul de intrare GTYPE se grupează cu GFMT

--line-format=LFMT
    formatează toate liniile de intrare cu LFMT

--LTYPE-line-format=LFMT
    formatează liniile de intrare LTYPE cu LFMT

    Aceste opțiuni de format oferă un control fin asupra rezultatului

    de diff, generalizând -D/--ifdef.

LTYPE este „old”(vechi), „new”(nou) sau „unchanged” (neschimbat).
    GTYPE este precum LTYPE sau „changed” (schimbat).

    GFMT poate conține, doar:

%<  linii din FIȘIER1

%>  linii din FIȘIER2

%=  linii comune lui FIȘIER1 și FIȘIER2

%[-][LĂȚIME][.[PRECIZIE]]{doxX}LITERA
    specificații stil «printf» pentru LITERA

    LITERA(ele) sunt după cum urmează pentru grup nou, (literă mică pentru grup vechi):

F   primul număr de linie

L   ultimul număr de linie

N   numere de linii = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    dacă A este egal cu B atunci T altfel E

    LFMT poate conține, doar:

%L  conținut de linie

%l  conținut de linie, excluzând orice caracter de linie nouă final

%[-][LĂȚIME][.[PRECIZIE]]{doxX}n
    specificații stil «printf» pentru introducerea numărului de linie

    Atât GFMT cât și LFMT pot să conțină:

%%  %

%c'C'
    caracterul singular C

%c'\OOO'
    caracterul cu codul octal OOO

C   caracterul C (celelalte caractere se reprezintă pe ele însele)

-d, --minimal
    se străduiește să găsească un grup mai mic de schimbări

--horizon-lines=NUM
    reține NUM linii de prefix și sufix comun

--speed-large-files
    presupune că fișierele sunt mari și că modificările sunt multe, mici și împrăștiate

--color[=CÂND]
    colorează ieșirea CÂND poate să fie „never”(niciodată), „always”(întotdeauna), sau „auto”; dată fără argumente, --color înseamnă --color=„auto”

--palette=PALETA
    paleta de culori ce se utilizează când --color este activă; PALETA este o listă separată prin două puncte(:) de capacități «terminfo»

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

FIȘIERE sunt „FIȘIER1 FIȘIER2” sau „DIR1 DIR2” sau „DIR FIȘIER” sau „FIȘIER DIR”. Dacă --from-file sau --to-file sunt precizate, nu există restricții pentru FIȘIER(e). Dacă un FIȘIER este „-”, se citește intrarea standard. Starea de ieșire este 0 dacă intrările sunt aceleași, 1 dacă sunt diferite și 2 dacă sunt probleme.

AUTOR
Scris de Paul Eggert, Mike Haertel, David Hayes, Richard Stallman și Stuart Kemp.

RAPORTAREA ERORILOR
Raportați erorile la: bug-diffutils@gnu.org
Pagina principală a GNU diffutils: https://www.gnu.org/software/diffutils/
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/

DREPTURI DE AUTOR
Drepturi de autor © 2021 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Documentația completă pentru diff este menținută ca un manual Texinfo. Dacă programele info(1) și diff sunt instalate corect pe sistemul dumneavoastră, comanda

    info diff

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro>, Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.